role.archive
Archive a custom role. Builtin roles and roles still assigned to an operator cannot be archived.
- Scope:
iam.roles.write - System: no
- Reachable from:
POST /v1/commands/role.archive(tenant credential) · MCP toolrole.archive· SDKclient.call('role.archive', …) - Events:
role.archived
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "key": { "minLength": 1, "type": "string" } }, "required": [ "key" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "archived": { "type": "boolean" }, "role_id": { "type": "string" } }, "required": [ "role_id", "archived" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)